## asm3 3.3.2

=== debian/changelog ===
asm3 (3.3.2-3) unstable; urgency=medium

  * Team upload.
  * Removed the unused build dependency on libow-util-ant-tasks-java
  * Removed Niels Thykier from the uploaders (Closes: #770569)
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Oct 2015 21:41:29 +0100

asm3 (3.3.2-2) unstable; urgency=low

  * Team upload.
  * Updated the watch file to match only the 3.x versions
  * Bumped Standards-Version to 3.9.4 (no changes)
  * Removed Michael Koch from the Uploaders list (Closes: #653989)
  * debian/copyright: Updated the Format URI
  * debian/rules: Improved the clean target to allow rebuilds

  [ Jakub Adam ]
  * Add Eclipse-BuddyPolicy: global to OSGi metadata. This allows asm3
    to find and load classes not in its Require-Bundle and Import-Package.
    (Needed by Jython running inside Eclipse.)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 27 Apr 2013 22:13:53 +0200

asm3 (3.3.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Change debian/watch to point to upstream's SVN repository. Add
    debian/orig-tar.sh.
  * Remove all prebuilt jar files from orig tarball.
  * Install asm-debug-all.jar.
  * Do no longer install symlinks from asm3-all.jar to the individual jars.
    Install the real files instead.
  * Use upstream provided pom files instead of shipping them in the debian
    directory.

 -- Torsten Werner <twerner@debian.org>  Mon, 12 Sep 2011 13:50:38 +0200
